Package org.eclipse.ecf.provider.filetransfer.retrieve

## Class HttpHelper

- java.lang.Object
- - org.eclipse.ecf.provider.filetransfer.retrieve.HttpHelper

    public class HttpHelper
    extends Object

### Field Summary

Fields
`static String` `CONTENT_DISPOSITION_HEADER`

### Constructor Summary

Constructors
`HttpHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `getRemoteFileNameFromContentDispositionHeader​(String headerValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONTENT_DISPOSITION_HEADER

    public static final String CONTENT_DISPOSITION_HEADER

See Also:
  Constant Field Values

### Constructor Detail

#### HttpHelper

    public HttpHelper()

### Method Detail

#### getRemoteFileNameFromContentDispositionHeader

    public static String getRemoteFileNameFromContentDispositionHeader​(String headerValue)